> For the complete documentation index, see [llms.txt](https://docs.zencal.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zencal.io/reference/api-reference/users.md).

# Users

## User actions

## Get all information about your profile

<mark style="color:blue;">`GET`</mark> `https://app.zencal.io/api/v1/profile`

The method returns information on the user to whom the API key applies

#### Headers

| Name                                               | Type   | Description      |
| -------------------------------------------------- | ------ | ---------------- |
| X-Zencal-Api-Key<mark style="color:red;">\*</mark> | String | Zencal Api key   |
| Content-Type<mark style="color:red;">\*</mark>     | String | application/json |
| Accept<mark style="color:red;">\*</mark>           | String | application/json |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "email": "joe.smith@hotmail.com"
    "username": "joe-smith",
    "phone": "+32100200300",
    "firstName": "Joe",
    "lastName": "Smith",
    "avatar": "https://cdn.zencal.io/avatar.png",
    "availableMeetingPlaces": [
        {
            "value": "zoom",
            "name": "Zoom"
        },
        {
            "value": "google-meet",
            "name": "Google Meet"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Update your profile information

<mark style="color:purple;">`PATCH`</mark> `https://app.zencal.io/api/v1/profile`

#### Headers

| Name                                               | Type   | Description      |
| -------------------------------------------------- | ------ | ---------------- |
| X-Zencal-Api-Key<mark style="color:red;">\*</mark> | String | Zencal Api key   |
| Content-Type<mark style="color:red;">\*</mark>     | String | application/json |
| Accept<mark style="color:red;">\*</mark>           | String | application/json |

#### Request Body

| Name        | Type   | Description                                                                   |
| ----------- | ------ | ----------------------------------------------------------------------------- |
| email       | String | User's email                                                                  |
| firstName   | String | User's first name                                                             |
| lastName    | String | User's last name                                                              |
| phone       | String | Phone number                                                                  |
| phonePrefix | String | <p>Phone number prefix eg. 43</p><p></p><p>It's required if phone is sent</p> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "email": "joe.smith@hotmail.com"
    "username": "joe-smith",
    "phone": "+32100200300",
    "firstName": "Joe",
    "lastName": "Smith",
    "avatar": "https://cdn.zencal.io/avatar.png",
    "availableMeetingPlaces": [
        {
            "value": "zoom",
            "name": "Zoom"
        },
        {
            "value": "google-meet",
            "name": "Google Meet"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zencal.io/reference/api-reference/users.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
